Update component group
PUT
/status-pages/{id}/groups/{gid}
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
gid
string
required
path
Request Body required
application/jsonname
string
description
string
display_order
integer
is_collapsed
boolean
Responses
200
Group updated
No response body
curl -X PUT 'https://happyuptime.com/api/v1/status-pages/string/groups/string' \ -H 'Authorization: Bearer YOUR_API_TOKEN' \ -H 'Content-Type: application/json' \ -d '{ "name": "string", "description": "string", "display_order": 0, "is_collapsed": true}'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/groups/string', { method: 'PUT', headers: { "Authorization": "Bearer YOUR_API_TOKEN", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "string", "description": "string", "display_order": 0, "is_collapsed": true })});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.put('https://happyuptime.com/api/v1/status-pages/string/groups/string', headers=headers, json={ "name": "string", "description": "string", "display_order": 0, "is_collapsed": true})print(response.json())
API Playground
Try this endpoint
PUT
/status-pages/{id}/groups/{gid}